"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = RibbonButton;
exports.RibbonButtonIcon = RibbonButtonIcon;
exports.RibbonButtonTitle = RibbonButtonTitle;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function RibbonButtonTitle(_ref) {
  var _ref$small = _ref.small,
      small = _ref$small === void 0 ? false : _ref$small,
      _ref$inline = _ref.inline,
      inline = _ref$inline === void 0 ? false : _ref$inline,
      props = _objectWithoutProperties(_ref, ["small", "inline"]);

  return _react["default"].createElement(inline ? "span" : "div", _objectSpread({
    className: "ribbon-button-title".concat(small === true ? "-small" : "", " ").concat(!inline ? "mt-2" : "")
  }, props), props.children);
}

function RibbonButtonIcon(_ref2) {
  var _ref2$small = _ref2.small,
      small = _ref2$small === void 0 ? false : _ref2$small,
      _ref2$inline = _ref2.inline,
      inline = _ref2$inline === void 0 ? false : _ref2$inline,
      props = _objectWithoutProperties(_ref2, ["small", "inline"]);

  return _react["default"].createElement(inline ? "span" : "div", _objectSpread({
    className: "ribbon-icon".concat(small === true ? "-small" : "")
  }, props), props.children);
}

function RibbonButton(props) {
  return _react["default"].createElement("button", _extends({
    className: "btn btn-light btn-block m-1"
  }, props), props.children);
}

RibbonButton.Icon = RibbonButtonIcon;
RibbonButton.Title = RibbonButtonTitle;